;;;; The code in this file should attempt to figure out which window
;;;; system to use, and load code for that window system.  This file
;;;; is loaded at startup by the function obvius-init, which is
;;;; defined in lucid-defsys.lisp.

(in-package 'obvius)

(cond
  ;;; -- LispView --
  ((and (environment-variable "DISPLAY") (find :lispview *features*))
   ;; If DISPLAY environment variable is set, and LispView is
   ;; present, load lispview-windows.
   (setq *auto-display-viewables* t)
   ;(setq lispview::*default-colormap-allocation* 0.8)

   ;; To use fewer colors, uncomment the following lines:
   ;;(setq lispview::*default-colormap-allocation* 0.13)
   ;;(set-default '8bit-x-screen :gray-shades 24)
   ;;(set-default '8bit-x-screen :rgb-bits '(1 1 1))
   
   (obv-require :lispview-windows :initialize nil)
   (obv-require :lispview-control-panel :initialize nil))

  ;;; -- SGI Graphics Library (GL) --
  ((and (environment-variable "DISPLAY")
	(find :gl-ffi *obvius-features*) (find :gl-windows *obvius-features*))
   (setq *auto-display-viewables* t))

  
  ;; -- Otherwise, run obvius without display stuff. --
  (t				
   (warn "Unknown window system.  Setting *auto-display-viewables* to nil.")
   (setq *auto-display-viewables* nil)))
