;;;; .obvius  --  OBVIUS startup configuration file 

;;; This file is loaded at startup by OBVIUS versions 2.1 and higher.
;;; It is loaded by OBVIUS after it initializes the window system (see
;;; "obvius-window-init.lisp") and starts the top-level
;;; read-eval-print loop. Below are some ideas of what you can put in
;;; your own personal (i.e. in your home directory) obvius-init.lisp
;;; file.

(in-package :cl-user)

;;; -----------------------------------------------------------------
;;; Floating-point Exceptions: Uncomment this line to prevent floating
;;; point exceptions in foreign function (eg, C) code from generating
;;; continuable errors in Lisp.  Many, but not all, of the OBVIUS C
;;; functions trap these errors in a more graceful way.

;(setf (enabled-floating-point-traps) nil)

;;; -----------------------------------------------------------------
;;; Memory stuff:

;;; -----------------------------------------------------------------
;;; OBVIUS window setup:

;;; Create some standard-size panes (OBVIUS windows)
;(new-pane :top 450)

;;; -----------------------------------------------------------------
;;; OBVIUS global parameters.  NOTE: Parameters that control the
;;; initialization of the window system should be set in
;;; obvius-window-init.lisp.  Run the function (obvius-parameters) to
;;; list all currently defined variables and their values.

;(setq *auto-bind-loaded-images* t)
;(setq *auto-update-pictures* nil)
;(setq *auto-destroy-orphans* t)
;(setq *preserve-picture-pane* t)

(setq *max-print-vals* 12)
;(setq *y-print-range* '(0.0 1.0))
;(setq *x-print-range* '(0.0 1.0))
;(setq *div-by-zero-result* 0.0)

;(setq *default-printer* (environment-variable "PRINTER"))

;(setq *auto-expand-heap* t)
(setq *auto-expand-heap* nil)
;(setq *heap-growth-rate* 1048576)	;default # elements by which static
					;heaps are expanded
;(setq *heap-growth-rate* 16384)
(setq *heap-growth-rate* 65536)

;(setq *machine-tolerance* least-positive-single-float)
;(setq *tolerance* 1.0e-10)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(set-default 'drawing :color :black)
(set-default 'vector-field :color :black)
(set-default 'surface-plot :color :black)
(set-default 'polar-plot :color :black)
(set-default 'graph :color :black)
(set-default 'graph :axis-color :black)
(set-default 'scatter-plot :color :black)
(set-default 'scatter-plot :axis-color :black)

